Bug 59921 - Launching is S L O W!
Launching is S L O W!
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kdeutils (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-14 18:31 EST by andrewem
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-15 05:05:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description andrewem 2002-02-14 18:31:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10smp i686)

Description of problem:
Compared with 7.2 Professional, Hampton (beta 1, 7.2.90) is extremly slow to
launch.  The difference is several seconds!

Version-Release number of selected component (if applicable):
Hampton (beta 1) 7.2.90

How reproducible:
Always

Steps to Reproduce:
1. launch kcalc and time how long it takes to open.


Actual Results:
See description.

Expected Results:
See description.

Additional info:
I don't know if this is a kcalc issue, or a kernel/library/something
else-that-has-changed issue.  The filessytem format has changed (ext3) so that
shouldn't be a factor.
Comment 1 andrewem 2002-02-14 18:40:28 EST
Err ... that should have been the filesystem format hasn't changed.  Typo :(
Comment 2 Bernhard Rosenkraenzer 2002-02-15 04:52:21 EST
Takes less than half a second here (Athlon 1900). What CPU are you using? By any chance, 
are you running low on memory? 
Or are you trying to launch kcalc from a non-KDE desktop? In that case, it starts up dcop 
and some other services, which takes a while.
Comment 3 andrewem 2002-02-15 05:05:16 EST
Dual (SMP) Pentium-III 450 MHz w/512 MB.  Both CPUs are reported in
/proc/cpuinfo and dmesg, so that's not a problem.

Under 7.2 Professional, it also takes maybe a second.  Under Hampton it takes
several seconds more ... quite a few actually. Launching kcalc under Gnome. 
Though I didn't stopwatch it, after several installs of both versions, I
confirmed the behaviour several times.

Tested on a freshly booted system with tons of free memory.
Comment 4 Bernhard Rosenkraenzer 2002-02-19 07:57:02 EST
Then it's just the time needed to start up dcop and other services. There's nothing that 
can be done about this, other than using prelink.

Note You need to log in before you can comment on or make changes to this bug.